<ng-container *transloco="let t; read: 'manage_organization'">
  <div class="table-container">
    <mat-card appearance="outlined">
      <span class="table-header">{{t('org_members_header')}}</span>
      <table
        class="table-width"
        mat-table
        matSort
        [dataSource]="dataSource">
        <!-- username Column -->
        <ng-container matColumnDef="email_address">
          <th
            mat-header-cell
            *matHeaderCellDef
            mat-sort-header>
            {{t('email_th')}}
          </th>
          <td
            mat-cell
            *matCellDef="let row">
            <ng-container *ngIf="row.email_address; else elseUserId">{{row.email_address}}</ng-container>
            <ng-template #elseUserId>{{row.user_id}}</ng-template>
          </td>
        </ng-container>
        <!-- first_name Column -->
        <ng-container matColumnDef="first_name">
          <th
            mat-header-cell
            *matHeaderCellDef
            mat-sort-header>
            {{t('first_name_th')}}
          </th>
          <td
            mat-cell
            *matCellDef="let row">
            {{row.first_name}}
          </td>
        </ng-container>
        <!-- last_name Column -->
        <ng-container matColumnDef="last_name">
          <th
            mat-header-cell
            *matHeaderCellDef
            mat-sort-header>
            {{t('last_name_th')}}
          </th>
          <td
            mat-cell
            *matCellDef="let row">
            {{row.last_name}}
          </td>
        </ng-container>
        <!-- Options Button Column -->
        <ng-container matColumnDef="organization_user_roles">
          <th
            mat-header-cell
            *matHeaderCellDef
            mat-sort-header>
            {{t('role_th')}}
          </th>
          <td
            mat-cell
            *matCellDef="let row">
            <ng-container *ngIf="row.organization_user_roles as roles">
              <span
                class="inline-comma"
                *ngFor="let role of roles; let i = index">
                {{'roles.'+role|transloco}}
                <span *ngIf="i<roles.length-1">,</span>
              </span>
            </ng-container>
          </td>
        </ng-container>
        <!-- actions -->
        <ng-container matColumnDef="actions">
          <th
            mat-header-cell
            *matHeaderCellDef
            class="table-column-header-align-end">
            {{t('actions_th')}}
          </th>
          <td
            mat-cell
            *matCellDef="let row">
            <button
              mat-icon-button
              [matMenuTriggerFor]="menu"
              aria-label="Action dropdown menu">
              <mat-icon>more_vert</mat-icon>
            </button>
            <mat-menu #menu="matMenu">
              <button
                mat-menu-item
                (click)="editRoles.emit({ userId:row.user_id })">
                <mat-icon>manage_accounts</mat-icon>
                <span>{{t('option_edit_roles')}}</span>
              </button>
              <button
                mat-menu-item
                (click)="removeUser.emit({ userId: row.user_id })">
                <mat-icon>delete_forever</mat-icon>
                <span>{{t('option_remove_user')}}</span>
              </button>
            </mat-menu>
          </td>
        </ng-container>
        <tbody>
          <tr
            mat-header-row
            *matHeaderRowDef="displayedColumns"></tr>
          <tr
            mat-row
            *matRowDef="let row; columns: displayedColumns;"></tr>
          <!-- Row shown when there is no matching data. -->
          <tr
            class="mat-row no-data-table-row"
            *matNoDataRow>
            <td
              class="mat-cell"
              colspan="3">
              {{'general.no_data'|transloco}}
            </td>
          </tr>
        </tbody>
      </table>
    </mat-card>
  </div>
</ng-container>
